### Namespace

# Nautilus – 4.0

Nautilus Extension API

Version | 46.2
Authors | The GNOME Project
License | GPL-3.0-or-later
Website | https://gnome.pages.gitlab.gnome.org/nautilus/
Source | https://gitlab.gnome.org/GNOME/nautilus/

#### Build

C headers | `nautilus-extension.h`
pkg-config files | `libnautilus-extension`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Column | List view column descriptor object.
Menu |
MenuItem |
PropertiesItem |
PropertiesModel |

#### Interfaces

ColumnProvider |
FileInfo |
InfoProvider |
MenuProvider |
PropertiesModelProvider |

#### Structs

OperationHandle | Handle for asynchronous interfaces. These are opaque handles that must be unique within an extension object. These are returned by operations that return #NAUTILUS_OPERATION_IN_PROGRESS.

#### Enumerations

OperationResult | Return values for asynchronous operations performed by the extension. See nautilus_info_provider_update_file_info().

#### Functions

module_initialize | Called when the extension is begin loaded to register the types it exports and to perform other initializations.
module_list_types | Called after the extension has been initialized and has registered all the types it exports, to load them into Nautilus.
module_shutdown | Called when the extension is being unloaded.